Page MenuHomePhabricator

Make decision about Email Group Prohibit
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2017, 7:18 PM
TBolliger renamed this task from On-wiki consultation: Per-group email prohibit to Make decision about Email Group Prohibit.Oct 25 2017, 6:55 PM
TBolliger updated the task description. (Show Details)

@SPoore — Based on my perception of the feedback so far (summarized on meta and ENWP) I believe there are 3 explicit votes/nods in support of the dropdown and 0 votes/nods for the tickbox. This should be the focus of the rest of our discussions, in my opinion.

I am very strongly leaning toward 'yes' for building the "0 edits" functionality. I think we should state this as a decision and see if there is pushback against it.

Yesterday I spoke with @DannyH about the "0 edits" functionality. He agrees with my decision to state publicly on Meta and ENWP that we've decided to build this functionality. If there is pushback we can reevaluate.

I also think we should also use our next on-wiki update to inform people that T138166: Allow users to restrict who can send them direct emails via Special:EmailUser is live on all wikis.

Quick update: after some discussion on Meta, we have decided that for the "0 edits" group we will allow users in the groups bureaucrat, steward, wmf-supportsafety, and global-renamer to still have the ability to send email to these users. Emails are logged in CheckUser and users in these groups are limited (and trusted) so the risk is extremely low for abuse. — Trevor Bolliger, WMF Product Manager (t) 21:22, 30 October 2017 (UTC)

I hope your intending to define a new user right for this (e.g. emailuserwithoutedits) instead of pursuing some different approach?

Yes, it will be a new right, which will be assigned to the aforementioned groups.

@SPoore — I've updated T178842: If a user has never triggered a logged action on a wiki, they should not be able receive emails by non-privileged users from there and wrote on the ENWP and Meta talk pages for the "0 edits" scenario. Any more i's to dot and t's to cross?

I'd love to make some progress on the tickbox vs. dropdown discussion today, if possible.

We're going to size both the tickbox and dropdown tomorrow, and my current plan is to build whatever's simplest.

I think we can mark the 0-edits as done.

TBolliger closed this task as Resolved.Nov 4 2017, 12:05 AM
TBolliger updated the task description. (Show Details)
TBolliger moved this task from In progress to Done on the Anti-Harassment (AHT Sprint 8) board.

Done. We're building the tickbox first, and are building the 0-edits scenario, with the described exceptions.